<?php
ini_set('SMTP','smtp.aviso.ci');
$msg_erreur = "Erreur. Les champs suivants doivent être obligatoirement 
remplis :<br/><br/>";
$msg_ok = "Votre demande a bien été prise en compte.";
$message = $msg_erreur;
define('MAIL_DESTINATAIRE',' info@belem-tours.com'); // remplacer par votre email
define('MAIL_SUJET',' BULLETIN D\'INSCRIPTIONS SUR LE SITE belem-tours');
 
// vérification des champs

if (empty($_POST['nom'])) 
$message .= "Votre nom<br/>";
if (empty($_POST['email'])) 
$message .= "Votre adresse<br/>";
if (empty($_POST['email'])) 
$message .= "Votre adresse électronique <br/>";
if (empty($_POST['tel'])) 
$message .= "Votre  telephone svp <br/>";

 
// si un champ est vide, on affiche le message d'erreur et on stoppe le script
if (strlen($message) > strlen($msg_erreur)) {
   echo $message; die();
}
$email = ($_POST['email']); 
  $point = strpos($email,".");//Verif si l'email contient un point
  $aroba = strpos($email,"@");//Verif si l'email contient un arobase
  //$desti = 'info@atconsulting-ci.com';

  $exp_reg_email = "^[a-z0-9]+((\.|-|_)[a-z0-9]+)*@[a-z0-9]+((\.|-|_)[a-z0-9]+)*(\.([a-z]){2,4})$"; // caracteres non admis dans un email
  $exp_reg_email='`^[[:alnum:]]([-_.]?[[:alnum:]])*@[[:alnum:]] 
([-_.]?[[:alnum:]])*\.([a-z]{2,4})$`';
   if ($point=='')
  {
  echo "<script language='javascript'>window.alert('Votre email doit comporter un point')</script>";
   echo "<script language='javascript'>document.location='contacts.php'</script>";// On renvoi l'internaute a la page de contact
  
  }
  else if ($aroba=='') 
  {
   echo "<script language='javascript'>window.alert('Votre email doit comporter un -- @ --')</script>";
   echo "<script language='javascript'>document.location='contacts.php'</script>"; 
  }
  else if(($email != "") && (preg_match('/$exp_reg_email/', $email))) // si il existe un caractere non admis
  {
   echo "<script language='javascript'>window.alert('e-mail non valide, il contient un ou plusieurs carateres non admis.')</script>";
   echo "<script language='javascript'>document.location='contacts.php'</script>"; 
  }
  
  else // Si toutes les conditions sont reunis
 {
 
// sinon c'est ok => on continue
foreach($_POST as $index => $valeur) { echo '<!--';
  $$index = stripslashes(trim($valeur));
echo '-->';}
 
$interets = $_POST['excursions'];
$sqlinterets = '';
for ($i=0; $i<count($interets); $i++)
{
  $sqlinterets .= $interets[$i];
  $sqlinterets .= ', ';
}
 
 $circuit = $_POST['circuit'];
$sqlcircuit = '';
for ($i=0; $i<count($circuit); $i++)
{
  $sqlcircuit .= $circuit[$i];
  $sqlcircuit .= ', ';
}

//Préparation de l'entête du mail:
$mail_entete  = "MIME-Version: 1.0\r\n";
$mail_entete .= "From: {$_POST['nom']} "
             ."<{$_POST['email']}>\r\n";
$mail_entete .= 'Reply-To: '.$_POST['email']."\r\n";
$mail_entete .= 'Content-Type: text/plain; charset="iso-8859-1"';
$mail_entete .= "\r\nContent-Transfer-Encoding: 8bit\r\n";
$mail_entete .= 'X-Mailer:PHP/' . phpversion()."\r\n";
 
// préparation du corps du mail
$mail_corps  = "Inscription :  $nom  \n";
$mail_corps .="entreprise :$entreprise\n";
$mail_corps .="adresse postale :$adressepostale\n";
$mail_corps .="pays :$pays\n";
$mail_corps .= "ville :  $ville\n";
$mail_corps .="telephone: $tel\n";
$mail_corps .="fax :$fax\n";




$mail_corps .= "excusions: $sqlinterets\n\n\n";
$mail_corps .= "circuit : $sqlcircuit\n\n\n";
$mail_corps .="nombres de personnes :$personne\n";
$mail_corps .="  dont :$adulte adulte(s)\n";
$mail_corps .=" et $enfant enfant(s)\n";
$mail_corps .=" notre email est :$email\n\n\n";
$mail_corps .= " notre message \n" ;
$mail_corps.=$info; 
// envoi du mail
if (mail(MAIL_DESTINATAIRE,MAIL_SUJET,$mail_corps,$mail_entete)) {
  //Le mail est bien expédié
  
   echo "<script language='javascript'>window.alert('Merci Pour votre message. Nous vous repondrons dans un bref délai.')</script>";// Ou tout autre message du meme genre 
   echo "<script language='javascript'>document.location='index.php'</script>";
} else {
  //Le mail n'a pas été expédié
   echo "<script language='javascript'>window.alert('Message non envoyé !! Merci de recommencer.')</script>";
   echo  "<script language='javascript'>document.location='devis.php'</script>";
  echo "Une erreur est survenue lors de l'envoi du formulaire par email";
}
 }?>